GET https://api.cryptohopper.com/v1/hopper/{id}/order/{order_id}

Returns one open order of the hopper.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/order/ORDER_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
order_id string Required Cryptohopper order ID (the id field of Get open orders), not the exchange order ID.
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": {
        "id": "342000001",
        "exchange": "binance",
        "pair": "BTC/USDT",
        "order_type": "buy",
        "order_id": "8812345678",
        "order_trigger": "strategy",
        "amount": "0.001",
        "rate": "65000",
        "btc": "65",
        "percentage_profit": "2.50",
        "hold": "0",
        "sold": "0",
        "open_time": "1758794400",
        "close_time": null,
        "bundled": "0",
        "config": "{\"order_type\":\"limit\"}",
        "ta_values": "{}",
        "cost": "65"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.